; VALUES/ASM - Version 6.x
*LIST OFF
;
; Flag constants (add to IY)
;
;		Dec		Hex
;               ---		---
AFLAG$	EQU	0	;	00h
BFLAG$	EQU	1	;	01h
CFLAG$	EQU	2	;	02h
DFLAG$	EQU	3	;	03h
EFLAG$	EQU	4	;	04h
FFLAG$	EQU	5	;	05h
GFLAG$	EQU	6	;	06h
HFLAG$	EQU	7	;	07h
IFLAG$	EQU	8	;	08h
JFLAG$	EQU	9	;	09h
KFLAG$	EQU	10	;	0Ah
LFLAG$	EQU	11	;	0Bh
MFLAG$	EQU	12	;	0Ch
NFLAG$	EQU	13	;	0Dh
OFLAG$	EQU	14	;	0Eh
PFLAG$	EQU	15	;	0Fh
QFLAG$	EQU	16	;	10h
RFLAG$	EQU	17	;	11h
SFLAG$	EQU	18	;	12h
TFLAG$	EQU	19	;	13h
UFLAG$	EQU	20	;	14h
VFLAG$	EQU	21	;	15h
WFLAG$	EQU	22	;	16h
XFLAG$	EQU	23	;	17h
YFLAG$	EQU	24	;	18h
ZFLAG$	EQU	25	;	19h
;
;	Parameter table stuff
;
NUM	EQU	80H		; Numeric parameter
FLAG	EQU	40H		; Flag parameter
STR	EQU	20H		; String parameter
ABB	EQU	10H		; Abbreviations allowed
;
;	Error codes
;
PAR_ERR	EQU	2CH
;
; Misc constants
;
ETX	EQU	3		; End of text
BS	EQU	8		; Backspace
TAB	EQU	9		; Tab
LF	EQU	10		; Line feed
CR	EQU	13		; Carriage return
AP	EQU	39		; Single apostrophe
;
*LIST ON
