.BuildLIB/JCL - Assemble modules for LS-DOS 6.3.1 library commands
.Copyright 1998, Peter W. Cervasio
.
.Set up disks as follows:
.
.  L631UTL disk goes in :1
.  L631SRC disk goes in :2
.  L631BIN disk goes in :3
. 
.  Parameters
.     (V="hh:ss") - Set timestamp. Default is 06:31
.     (LP)  - Generate /PRN files and export them.
.     (ALL) - also builds utilities
.     (NOSTOP) - Don't pause
.
//IF -NOSTOP
//pause Press ENTER to continue
//END
.
//IF LP
//ASSIGN L="+L=:1 -SL"
cd /model4/lsdos631/libcmds
//ELSE
//ASSIGN L="-WE"
//END
//IF -V
//ASSIGN V="06:31"
//END
.
time #V#
mras lbattrib/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbattrib/prn:1
remove lbattrib/prn:1
//END
.
time #V#
mras lbauto/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbauto/prn:1
remove lbauto/prn:1
//END
.
time #V#
mras lbbuild/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbbuild/prn:1
remove lbbuild/prn:1
//END
.
time #V#
mras lbcopy/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbcopy/prn:1
remove lbcopy/prn:1
//END
.
time #V#
mras lbcreate/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbcreate/prn:1
remove lbcreate/prn:1
//END
.
time #V#
mras lbdate/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdate/prn:1
remove lbdate/prn:1
//END
.
time #V#
mras lbdebug/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdebug/prn:1
remove lbdebug/prn:1
//END
.
time #V#
mras lbdevice/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdevice/prn:1
remove lbdevice/prn:1
//END
.
time #V#
mras lbdir/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdir/prn:1
remove lbdir/prn:1
//END
.
time #V#
mras lbdo/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdo/prn:1
remove lbdo/prn:1
//END
.
time #V#
mras lbdump/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbdump/prn:1
remove lbdump/prn:1
//END
.
time #V#
mras lbforms/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbforms/prn:1
remove lbforms/prn:1
//END
.
time #V#
mras lbfree/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbfree/prn:1
remove lbfree/prn:1
//END
.
time #V#
mras lblib/asm:2 +o=:3 #L# -gc
//IF LP
export -l lblib/prn:1
remove lblib/prn:1
//END
.
time #V#
mras lblink/asm:2 +o=:3 #L# -gc
//IF LP
export -l lblink/prn:1
remove lblink/prn:1
//END
.
time #V#
mras lblist/asm:2 +o=:3 #L# -gc
//IF LP
export -l lblist/prn:1
remove lblist/prn:1
//END
.
time #V#
mras lbload/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbload/prn:1
remove lbload/prn:1
//END
.
time #V#
mras lbmemory/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbmemory/prn:1
remove lbmemory/prn:1
//END
.
time #V#
mras lbpurge/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbpurge/prn:1
remove lbpurge/prn:1
//END
.
time #V#
mras lbremove/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbremove/prn:1
remove lbremove/prn:1
//END
.
time #V#
mras lbrename/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbrename/prn:1
remove lbrename/prn:1
//END
.
time #V#
mras lbreset/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbreset/prn:1
remove lbreset/prn:1
//END
.
time #V#
mras lbroute/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbroute/prn:1
remove lbroute/prn:1
//END
.
time #V#
mras lbset/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbset/prn:1
remove lbset/prn:1
//END
.
time #V#
mras lbsetcom/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbsetcom/prn:1
remove lbsetcom/prn:1
//END
.
time #V#
mras lbsetki/asm:2 +o=:3 #L# -gc
patch lbsetki/cmd:3 using setki1/fix:1
//IF LP
export -l lbsetki/prn:1
remove lbsetki/prn:1
//END
.
time #V#
mras lbspool/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbspool/prn:1
remove lbspool/prn:1
//END
.
time #V#
mras lbsysgen/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbsysgen/prn:1
remove lbsysgen/prn:1
//END
.
time #V#
mras lbsystem/asm:2 +o=:3 #L# -gc
//IF LP
export -l lbsystem/prn:1
remove lbsystem/prn:1
//END
.
. Done building library command files
.
. Creating the SYS6, SYS7 and SYS8 modules
.
time #V#
bldlibs l631lib6/dat
time #V#
bldlibs l631lib7/dat
time #V#
bldlibs l631lib8/dat
.
msdostime set
//IF -ALL
//EXIT
//END
//IF LP
//IF NOSTOP
//ASSIGN PRM="LP,NOSTOP,V="#V#
//ELSE
//ASSIGN PRM="LP,V="#V#
//END
//ELSE
//IF NOSTOP
//ASSIGN PRM="NOSTOP,V="#V#
//ELSE
//ASSIGN PRM="V="#V#
//END
//END
do buildutl (#PRM#)
//exit

