.Build631/JCL - Assemble LSDOS 6.3.1 from source files
.Copyright 1998, Peter W. Cervasio
.
.Set up disks as follows:
.
.  L631UTL disk goes in :1
.  L631SRC disk goes in :2
.  L631BIN disk goes in :3
. 
.  Parameters
.     (V="hh:ss") - Set timestamp. Default is 06:31
.     (LP)  - Generate /PRN files and export them.
.     (ALL) - also builds library commands and utilities
.     (NOSTOP) - Don't pause (handy when ALL specified)
.
//IF -NOSTOP
//PAUSE Press ENTER to continue
//END
.
//IF LP
//ASSIGN L="+L=:1 -SL"
cd /model4/lsdos631
//ELSE
//ASSIGN L="-SL -WE"
//END
//IF -V
//ASSIGN V="06:31"
//END
.
time #V#
mras lowcore/asm:2 +o=:3 +x=:1 #L# -gc -ci -xr
xref lowcore/ref:1 (equ,limit)
//IF LP
export -l lowcore/prn:1
remove lowcore/prn:1
//END
remove lowcore/ref:1
copy lowcore/equ:1 :2
.
time #V#
mras sysres/asm:2 +o=sys0/cmd:3 +x=:1 #L# -gc -xr
xref sysres/ref:1 (equ,limit)
//IF LP
export -l sysres/prn:1
remove sysres/prn:1
//END
remove sysres/ref:1
copy sysres/equ:1 :2
.
time #V#
mras sys1/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys1/prn:1
remove sys1/prn:1
//END
.
time #V#
mras sys2/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys2/prn:1
remove sys2/prn:1
//END
.
time #V#
mras sys3/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys3/prn:1
remove sys3/prn:1
//END
.
time #V#
mras sys4/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys4/prn:1
remove sys4/prn:1
//END
.
time #V#
mras sys5/asm:2 +o=:3 +x=:1  #L# -gc -xr
xref sys5/ref:1 (equ,limit)
//IF LP
export -l sys5/prn:1
remove sys5/prn:1
//END
remove sys5/ref:1
copy sys5/equ:1 :2
.
time #V#
mras sys9/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys9/prn:1
remove sys9/prn:1
//END
.
time #V#
mras sys10/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys10/prn:1
remove sys10/prn:1
//END
.
time #V#
mras sys11/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys11/prn:1
remove sys11/prn:1
//END
.
time #V#
mras sys12/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys12/prn:1
remove sys12/prn:1
//END
.
time #V#
mras sys13/asm:2 +o=:3 #L# -gc
//IF LP
export -l sys13/prn:1
remove sys13/prn:1
//END
.
//IF -ALL
msdostime set
.
. Finished building most of the operating system.
.
. Enter "DO BUILDLIB" to build library files SYS6, 7 and 8.
.
//EXIT
//END
//IF LP
//IF NOSTOP
//ASSIGN PRM="ALL,LP,NOSTOP,V="#V#
//ELSE
//ASSIGN PRM="ALL,LP,V="#V#
//END
//ELSE
//IF NOSTOP
//ASSIGN PRM="ALL,NOSTOP,V="#V#
//ELSE
//ASSIGN PRM="ALL,V="#V#
//END
//END
do buildlib (#PRM#)
//EXIT

